Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 5.1.0sp9 API Reference

## weblogic.html
Class AppletElement

    java.lang.Object
      |
      +--weblogic.html.HtmlElement
            |
            +--weblogic.html.ElementWithAttributes
                  |
                  +--weblogic.html.MultiPartElement
                        |
                        +--weblogic.html.AppletElement

Deprecated. Use the ObjectElement instead

public class AppletElement
extends MultiPartElement

An AppletElement object is used to set the attributes of an Applet. AppletElements may be composed of multiple HtmlElements, which are accessible by index position.

Use a ParamElement to set applet parameters and a TextFlowElement to set the alternate text for an applet (recommended over the setAlt() method in this class). Add these to the AppletElement with the addElement() methods in this class.

The HTML APPLET element was deprecated in HTML 4.0 in favor of the more generic OBJECT element. htmlKona continues to support this element for backwards compatibility but not all browsers may support it.

Author:
  Copyright (c) 1995-97, WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `ParamElement`, `TextFlowElement`, `ObjectElement`

Fields inherited from class weblogic.html.HtmlElement
`codeset, useObsolete`

Constructor Summary
`AppletElement(java.lang.String code, int width, int height)` Deprecated. Constructs an AppletElement with the three parameters that are required: code, width, and height.
`AppletElement(java.lang.String code, int width, int height, AlignType align)` Deprecated. Constructs an AppletElement with the specified code, width, height, and alignment.

Method Summary
`AppletElement` | `addElement(HtmlElement val)` Deprecated. Adds the specified HtmlElement to an AppletElement.
`AppletElement` | `addElement(java.lang.String str)` Deprecated. Adds the specified StringElement to an AppletElement.
`HtmlElement` | `getElementAt(int pos)` Deprecated. Returns the HtmlElement at the specified index position.
`protected java.lang.String` | `getHtmlCode()` Deprecated.
`protected boolean` | `printCR()` Deprecated.
`AppletElement` | `setAlign(AlignType val)` Deprecated. Sets the alignment for an AppletElement.
`AppletElement` | `setAlt(java.lang.String val)` Deprecated. Sets alternate text for an AppletElement.
`AppletElement` | `setArchive(java.lang.String archive)` Deprecated. Sets the ARCHIVE attribute for an AppletElement.
`AppletElement` | `setCode(java.lang.String code)` Deprecated. Sets the name of the class file for an AppletElement.
`AppletElement` | `setCodeBase(java.lang.String codebase)` Deprecated. Sets the CODEBASE for an AppletElement.
`AppletElement` | `setHeight(int height)` Deprecated. Sets the height of an AppletElement.
`AppletElement` | `setHSpace(int val)` Deprecated. Sets the HSPACE attribute for an AppletElement.
`AppletElement` | `setMayScript(boolean attrib)` Deprecated. Sets the MAYSCRIPT attribute for an AppletElement.
`AppletElement` | `setName(java.lang.String name)` Deprecated. Sets the name for an AppletElement.
`AppletElement` | `setVSpace(int val)` Deprecated. Sets the VSPACE attribute for an AppletElement.
`AppletElement` | `setWidth(int width)` Deprecated. Sets the width of an AppletElement.

Methods inherited from class weblogic.html.MultiPartElement
`addHeadMultiElement, addMultiElement, getMultiElementAt, getNumElements, printBody, printBody, printBody, removeElement, removeElementAt, replaceElementAt, replaceMultiElementAt, widthAsLiteral`

Methods inherited from class weblogic.html.ElementWithAttributes
`addAttribute, addAttribute, escapeQuotes, getBooleanAttribute, getElementAttribute, getLocalVar, getQuotedAttribute, output, output, output, printBody, printEndingTag, setBooleanAttribute, setBooleanAttribute, setClass, setDirection, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setElementAttribute, setId, setLang, setLocalVar, setQuotedAttribute, setStyle`

Methods inherited from class weblogic.html.HtmlElement
`asAnchorElement, asBigElement, asBlockquoteElement, asBoldElement, asCenteredElement, asCiteElement, asCodeElement, asCommentElement, asDefineTermElement, asEmphasisElement, asFontElement, asFontElement, asFontElement, asHtmlContainer, asItalicElement, asKeyboardElement, asLiteralElement, asParagraphElement, asSampleElement, asSmallElement, asStrikeElement, asStrongElement, asSubscriptElement, asSuperscriptElement, asTeletypeElement, asUnderlineElement, asVariableElement, getVersion, setAnchorMode, setCodeset, toString, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### AppletElement

    public AppletElement(java.lang.String code,
                         int width,
                         int height)

  Deprecated.
  Constructs an AppletElement with the three parameters that are required: code, width, and height. The alignment defaults to left.

  Parameters:
    `code` - Full package name of the applet
    `width` - Width in pixels
    `height` - Height in pixels

### AppletElement

    public AppletElement(java.lang.String code,
                         int width,
                         int height,
                         AlignType align)

  Deprecated.
  Constructs an AppletElement with the specified code, width, height, and alignment.

  Parameters:
    `code` - Name of the class file
    `width` - Width in pixels
    `height` - Height in pixels
    `align` - AlignType object

Method Detail

### printCR

    protected boolean printCR()

  Deprecated.

  Overrides:
    printCR in class ElementWithAttributes

### getHtmlCode

    protected java.lang.String getHtmlCode()

  Deprecated.

  Overrides:
    getHtmlCode in class ElementWithAttributes

### addElement

    public AppletElement addElement(HtmlElement val)

  Deprecated.
  Adds the specified HtmlElement to an AppletElement.

  Parameters:
    `val` - HtmlElement
  Returns:
    AppletElement object

### addElement

    public AppletElement addElement(java.lang.String str)

  Deprecated.
  Adds the specified StringElement to an AppletElement.

  Parameters:
    `str` - String
  Returns:
    AppletElement object

### getElementAt

    public HtmlElement getElementAt(int pos)

  Deprecated.
  Returns the HtmlElement at the specified index position.

  Parameters:
    `pos` - Position in the AppletElement
  Returns:
    HtmlElement object

### setAlign

    public AppletElement setAlign(AlignType val)

  Deprecated.
  Sets the alignment for an AppletElement. Valid types are left, right, top, middle, bottom.

  Parameters:
    `val` - AlignType object
  Returns:
    AppletElement object
  See Also:
    `AlignType`

### setAlt

    public AppletElement setAlt(java.lang.String val)

  Deprecated.
  Sets alternate text for an AppletElement. For your document to be valid (HTML 2.0 and after), you must supply alternate text either with this method or with a TextFlowElement added to the AppletElement. Using a TextFlowElement is recommended.

  Parameters:
    `val` - Text to be displayed if browser is applet-challenged
  Returns:
    AppletElement object

### setArchive

    public AppletElement setArchive(java.lang.String archive)

  Deprecated.
  Sets the ARCHIVE attribute for an AppletElement. Set this to a .zip file to be downloaded to the user's disk. The .zip file is found relative to the CODEBASE path, and must not be compressed. Classes not in the .zip file will be searched for by the traditional method.

  Parameters:
    `archive` - Name of .zip file
  Returns:
    AppletElement object

### setCode

    public AppletElement setCode(java.lang.String code)

  Deprecated.
  Sets the name of the class file for an AppletElement.

  Parameters:
    `code` - Class filename (for example, "Blink.class")
  Returns:
    AppletElement

### setCodeBase

    public AppletElement setCodeBase(java.lang.String codebase)

  Deprecated.
  Sets the CODEBASE for an AppletElement.

  Parameters:
    `codebase` - CODEBASE for an applet (for example, "http://weblogic.com/applets/classes/")
  Returns:
    AppletElement object

### setHeight

    public AppletElement setHeight(int height)

  Deprecated.
  Sets the height of an AppletElement.

  Parameters:
    `height` - Height in pixels
  Returns:
    AppletElement object

### setHSpace

    public AppletElement setHSpace(int val)

  Deprecated.
  Sets the HSPACE attribute for an AppletElement.

  Parameters:
    `val` - Horizontal space in pixels

### setMayScript

    public AppletElement setMayScript(boolean attrib)

  Deprecated.
  Sets the MAYSCRIPT attribute for an AppletElement. This attribute is required for an applet that wishes to use LiveConnect and the netscape.javascript classes to interact with JavaScript.

  Parameters:
    `attrib` - True to add MAYSCRIPT to the applet tag
  Returns:
    AppletElement

### setName

    public AppletElement setName(java.lang.String name)

  Deprecated.
  Sets the name for an AppletElement.

  Parameters:
    `name` - Name of the AppletElement
  Returns:
    AppletElement object

### setVSpace

    public AppletElement setVSpace(int val)

  Deprecated.
  Sets the VSPACE attribute for an AppletElement.

  Parameters:
    `val` - Vertical space in pixels

### setWidth

    public AppletElement setWidth(int width)

  Deprecated.
  Sets the width of an AppletElement.

  Parameters:
    `width` - Width in pixels
  Returns:
    AppletElement object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://www.weblogic.com/docs51
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD